package java.util.zip;

public class Adler32 implements Checksum {
   private int adler = 1;

   public void update(int var1) {
      this.update1(var1);
   }

   public native void update(byte[] var1, int var2, int var3);

   public void update(byte[] var1) {
      this.update(var1, 0, var1.length);
   }

   public void reset() {
      this.adler = 1;
   }

   public long getValue() {
      return (long)this.adler & 4294967295L;
   }

   private native void update1(int var1);
}
